Error in upgrading PostgreSQL


#1

Currently I am using (9.4+165+deb8u3) that version of postgresql

To upgrade it to (9.6) i am following that link
https://www.postgresql.org/download/linux/debian/

But on Sudo apt-get update

I am getting that error

It would be very helpful for me in case anyone helo me in it

Regards,


Error, will retry in 2s: pq: password authentication failed for user “loraserver”"
#2

For me this looks like an architecture problem. what is the architecutre on your system?


#3

PRETTY_NAME=“Raspbian GNU/Linux 8 (jessie)”
NAME=“Raspbian GNU/Linux”
VERSION_ID=“8”
VERSION=“8 (jessie)”
ID=raspbian
ID_LIKE=debian
HOME_URL=“http://www.raspbian.org/
SUPPORT_URL=“http://www.raspbian.org/RaspbianForums
BUG_REPORT_URL=“http://www.raspbian.org/RaspbianBugs


#4

About CPU

**processor : 0
model name : ARMv7 Processor rev 4 (v7l)
BogoMIPS : 38.40
Features : half thumb fastmult vfp edsp neon vfpv3 tls vfpv4 idiva idivt vfpd32 lpae evtstrm crc32
CPU implementer : 0x41
CPU architecture: 7
CPU variant : 0x0
CPU part : 0xd03
CPU revision : 4

processor : 1
model name : ARMv7 Processor rev 4 (v7l)
BogoMIPS : 38.40
Features : half thumb fastmult vfp edsp neon vfpv3 tls vfpv4 idiva idivt vfpd32 lpae evtstrm crc32
CPU implementer : 0x41
CPU architecture: 7
CPU variant : 0x0
CPU part : 0xd03
CPU revision : 4

processor : 2
model name : ARMv7 Processor rev 4 (v7l)
BogoMIPS : 38.40
Features : half thumb fastmult vfp edsp neon vfpv3 tls vfpv4 idiva idivt vfpd32 lpae evtstrm crc32
CPU implementer : 0x41
CPU architecture: 7
CPU variant : 0x0
CPU part : 0xd03
CPU revision : 4

processor : 3
model name : ARMv7 Processor rev 4 (v7l)
BogoMIPS : 38.40
Features : half thumb fastmult vfp edsp neon vfpv3 tls vfpv4 idiva idivt vfpd32 lpae evtstrm crc32
CPU implementer : 0x41
CPU architecture: 7
CPU variant : 0x0
CPU part : 0xd03
CPU revision : 4

Hardware : BCM2835
Revision : a02082
Serial : 000000009e7549c1
**


#5

So i am also not an expert in this. but your link says that this procedre works for the following architectures:

  • amd64
  • i386
  • ppc64el

but you run an arm architecture. but when you google it, you can find ways to have this running.
try this one dpkg --add-architecture amd64 and then apt-get update… and try again.

but as i said, i am not an expert. so not sure if this will work


#6

Thanks for your response silvan :slightly_smiling_face: